### Target-specific definitions for compiling Maria -*- makefile -*-
### Linux and GNU Compiler Collection (2.95, 3.0 and 3.2)

## The GNU Readline library (if enabled, check also the directories)
HAS_READLINE = yes
#HAS_READLINE =
LIBREADLINE = $(HAS_READLINE:yes=-L/usr/local/lib -lreadline -lncurses)
INCREADLINE = $(HAS_READLINE:yes=-I/usr/local/include -DHAS_READLINE)

## Support for compiled expressions
EXPR_COMPILE = yes
#EXPR_COMPILE =

CXX = g++
CC = gcc
EXTRA_INCLUDES =
EXTRA_LIBS = -ldl# -lstlport
DEFINES = -DHAS_REGEX -D_GNU_SOURCE -DHAS_GETOPT_LONG
CFLAGS = -Wall -ansi -pedantic -O3
CXXFLAGS = $(CFLAGS) -Iport -fno-exceptions -fno-rtti# -I/usr/include/stlport

all: real-all

include Makefile
